[AppLauncherPlugin] Plugin not available

[AppLauncherPlugin] Plugin not available

  
Forge Component
(5)
Published on 10 Aug by Eduardo Jauch
5 votes
Published on 10 Aug by Eduardo Jauch

Hi All,


I am new to outsystems. i want to open google maps application from TODO app. i tried this plugin it throws error("plugin not available"), and finally found that applauncherdemo. but the result is same. i used outsystems now app in andriod, and not tested in IOS. can you please help on this 

If you have any screenshot or .oml file please share it 


Thanks 

Navaneethan M

Solution

Hello Navaneethan,

Testing in OutSystems Now will give you this error, as the plugin is not available in it, and he can run only the built in plugins. 

You need to create a package and install it in the devide to test.

Cheers.

Solution

Eduardo Jauch wrote:

Hello Navaneethan,

Testing in OutSystems Now will give you this error, as the plugin is not available in it, and he can run only the built in plugins. 

You need to create a package and install it in the devide to test.

Cheers.


Hi Eduardo,


Thanks for reply

I didn't gererate any apk. i will try and share my results.


Thanks

Navaneethan M

Eduardo Jauch wrote:

Hello Navaneethan,

Testing in OutSystems Now will give you this error, as the plugin is not available in it, and he can run only the built in plugins. 

You need to create a package and install it in the devide to test.

Cheers.

Hi Eduardo,

I am testing in both IOS and Android device. it is showing me plugin not available.


Hi mohammad hasib,

After you first reference your plugin (this or any other), you will need to install (not just the auto-update feature that is triggered when OutSystems apps are launched) the new APK/IPA on your device... until then, the native app does not include the required binaries and the plugins will not be available.

Can you generate the Android/iOS native apps again and install them over the existing version you already have, and see if it solves your problem?

Jorge Martins wrote:

Hi mohammad hasib,

After you first reference your plugin (this or any other), you will need to install (not just the auto-update feature that is triggered when OutSystems apps are launched) the new APK/IPA on your device... until then, the native app does not include the required binaries and the plugins will not be available.

Can you generate the Android/iOS native apps again and install them over the existing version you already have, and see if it solves your problem?

Dear Jorge,

I am testing on real device after generating the APK and IPA files again n again.

Regards,